﻿body {
    height: auto;
    background-image: url("../img/classic.jpg");
    background-attachment: fixed;
}

.classic {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}

.classic-info-panel {
    background: linear-gradient(to top left, #092c4f, #300a5e);
    border-radius: 20px;
    box-shadow: 0px 5px 8px rgb(0, 0, 0);
    height: auto;
    width: 25%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.classic-info-title {
    font-size: 32px;
    font-weight: bold;
    color: white;
    margin-bottom: 0;
}

.classic-info-desc {
    font-size: 16px;
    color: white;
    opacity: .6;
    margin-top: 0;
}

.classic-char-info {
    height: auto;
    width: 60%;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    color: white;
    font-weight: bold;
}

.classic-hints {
    width: 100%;
    height: auto;
    margin-bottom: 36px;
    display: flex;
    justify-content: space-around;
}

.classic-panel {
    width: 480px;
    border-radius: 20px;
    padding: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    height: 150px;
}

.hint-button {
    background: rgba(0, 0, 0, 0.3);
    border-radius: 12px;
    color: #777777;
    font-size: 20px;
    height: 120px;
    width: 120px;
    border: none;
    pointer-events: none;
}

#hint1.active {
    background:rgba(0, 0, 0, 0.8);
    pointer-events: all;
}

.classic-guess-div {
    background: linear-gradient(to bottom right, #461a7c, #133f6b);
    box-shadow: 0px 5px 8px rgb(0, 0, 0);
    border-radius: 12px;
    width: 430px;
    height: 60px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.classic-input {
    width: 82%;
    height: 90%;
    padding-left: 15px;
    border-radius: 10px;
    border:none;
    background: rgba(0,0,0,0.4);
    outline: none;
    color: white;
}

.submit-guess-button {
    background: rgba(0,0,0,0.4);
    border: none;
    border-radius: 10px;
    color: #777777;
    height: 90%;
    width: 15%;
    transition: all .1s;
}

.submit-guess-button:hover {
    color: white;
}

.guesses-container {
    height: auto;
    width: auto;
}

.guesses-div {
    height: auto;
    width: auto;
    display: flex;
    flex-direction: column-reverse;
    perspective: 1200px;
}

.character-traits {
    width: 100%;
    height: 35px;
    display: none;
    color: white;
    margin-bottom: 6px;
    gap: 6px;
}

#characterImage {
   
    transition: filter 0.4s ease;
    image-rendering: pixelated;
   
}

#image-wrapper {
    height: 280px;
    width: 280px;
}

.trait {
    width: 100px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid black;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.guesses-square-group {
    height: 100px;
    width: auto;
    display: flex;
    justify-content: flex-start;
    gap: 6px;
}

.square {
    border: 2px solid black;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    backface-visibility: hidden;
    transform-style: preserve-3d;
    transform-origin: left;
    transform: rotateY(90deg);
    transition: transform 1s ease;
}

.square.show {
    transform: rotateY(0deg);
}

.square.correct {
    background-color: #4CAF50;
}

.square.wrong {
    background-color: #F44336;
}

canvas {
    border: 2px solid #fff;
    image-rendering: pixelated;
}